Complete Cursor Origin installation
curl --request POST \
--url https://semgrep.dev/api/deployments/{deploymentId}/cursor-installations/{requestId}/receipt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"requestId": "<string>",
"installationReceipt": "<string>"
}
'import requests
url = "https://semgrep.dev/api/deployments/{deploymentId}/cursor-installations/{requestId}/receipt"
payload = {
"deploymentId": "<string>",
"requestId": "<string>",
"installationReceipt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
requestId: '<string>',
installationReceipt: '<string>'
})
};
fetch('https://semgrep.dev/api/deployments/{deploymentId}/cursor-installations/{requestId}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"id": "<string>",
"type": "SCM_TYPE_GITHUB",
"namespace": "<string>",
"sourceId": "<string>",
"baseUrl": "<string>",
"app": {
"id": "<string>",
"slug": "<string>",
"appId": "<string>",
"scmType": "SCM_TYPE_GITHUB",
"baseUrl": "<string>",
"requestId": "<string>",
"scmName": "<string>",
"codeAccess": true,
"tenantId": "<string>"
},
"status": {
"checked": "2023-11-07T05:31:56Z",
"ok": true,
"error": "<string>"
},
"installed": true,
"suspended": true,
"githubEntityType": "GITHUB_ENTITY_TYPE_ORG",
"autoScan": true,
"useNetworkBroker": true,
"tokenScopes": {
"readMetadata": true,
"readPullRequest": true,
"writePullRequestComment": true,
"readContents": true,
"readMembers": true,
"manageWebhooks": true,
"writeContents": true,
"writePullRequest": true,
"readChecks": true,
"writeChecks": true
},
"subscriptions": [
{
"scmUrl": "<string>",
"events": [
"<string>"
]
}
],
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
"autoScanSettings": {
"diffEnabled": true
},
"hasAccessToken": true,
"providerAppId": "<string>",
"providerInstallationId": "<string>",
"usesSharedApp": true,
"scmId": "<string>"
}
}Source Code Management (SCM) apps
Complete Cursor Origin installation
Verify an installation receipt and connect the approved Cursor Origin codebase.
POST
/
api
/
deployments
/
{deploymentId}
/
cursor-installations
/
{requestId}
/
receipt
Complete Cursor Origin installation
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
Get access to data with your user's JSON Web Token.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?